package com.jkcredit.invoice.service.customer.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.customer.CustomerRecMapper;
import com.jkcredit.invoice.model.entity.customer.CustomerRec;
import com.jkcredit.invoice.service.customer.CustomerRecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("customerRecService")
public class CustomerRecServiceImpl extends ServiceImpl<CustomerRecMapper,CustomerRec>   implements CustomerRecService{
    @Autowired
    CustomerRecMapper customerRecMapper;
    @Override
    public IPage findAllCustomerRec(Page page, CustomerRec customerRec) {
        return customerRecMapper.selectAllByPage(page,customerRec);
    }

    @Override
    public List<CustomerRec> findAllCustomerRecForExport(CustomerRec customerRec) {
        return customerRecMapper.selectAllByPageExport(customerRec);
    }
}
